package xyz.wbsite.module.admin.ent;

import xyz.wbsite.frame.base.BaseEntity;

/**
 * CONFIG_DATA - 配置数据
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-07
 */
public class ConfigData extends BaseEntity {

    /**
     * TARGET_ID - 目标主键
     */
    private Long targetId;
    /**
     * CONF_NAME - 配置名称
     */
    private String confName;
    /**
     * CONF_TYPE - 配置类型
     */
    private String confType;
    /**
     * CONF_VALUE - 配置属值
     */
    private String confValue;
    /**
     * CONF_NOTE - 配置备注
     */
    private String confNote;

    public Long getTargetId() {
        return this.targetId;
    }

    public void setTargetId(Long targetId) {
        this.targetId = targetId;
    }

    public String getConfName() {
        return this.confName;
    }

    public void setConfName(String confName) {
        this.confName = confName;
    }

    public String getConfType() {
        return this.confType;
    }

    public void setConfType(String confType) {
        this.confType = confType;
    }

    public String getConfValue() {
        return this.confValue;
    }

    public void setConfValue(String confValue) {
        this.confValue = confValue;
    }

    public String getConfNote() {
        return this.confNote;
    }

    public void setConfNote(String confNote) {
        this.confNote = confNote;
    }
}